Package org.pentaho.reporting.libraries.formula.lvalues

# Class TypeValuePair

java.lang.Object
org.pentaho.reporting.libraries.formula.lvalues.TypeValuePair

All Implemented Interfaces:
  `Serializable`

public class TypeValuePair extends Object implements Serializable
Creation-Date: 02.11.2006, 10:02:54

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TypeValuePair(Type type, Object value)`

## Method Summary

Modifier and Type
Method
Description
`Type`
`getType()`
`Object`
`getValue()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TypeValuePair

public TypeValuePair(Type type, Object value)

## Method Details

### getType

public Type getType()

### getValue

public Object getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`